/*
* eLaRP: A small ERP utility program
* Copyright (C) 2024 Wu Yiming
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "elarp.h"

int main(int argc, char *argv[]){
    laGetReady();

    erpRegisterEverything();
    erpInit();

    laRefreshUDFRegistries();

    laEnsureUserPreferences();
    
    //laAddRootDBInst("basket");

    if(!MAIN.Windows.pFirst){
        laWindow* w = laDesignWindow(-1,-1,600,600);

        laLayout* l = laDesignLayout(w, "Default Layout");
        laBlock* b = l->FirstBlock;
        laPanel* p=laCreatePanel(b, "erp_panel_orders");
        laStartWindow(w);
    }

    laMainLoop();
}
